// Box.js
import BaseElement from './BaseElement.js';

class Box extends BaseElement {
  constructor(x, y, width, height, engineId) {
    super('div', engineId);
    this.setPosition(x, y);
    this.setSize(width, height);
    this.element.setAttribute('data-box-id', engineId);
    // 确保box可见
    this.element.style.zIndex = '100';
    this.element.style.backgroundColor = 'lightgray';
    this.element.style.border = '1px solid black';
  }
}

export default Box;
export { Box };